%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname paida

Name:		python-paida
Version:	3.2.1_2.10.1
Release:	4%{?dist}
Summary:	Pure Python scientific analysis package
Group:		Development/Languages
License:	Python
URL:		http://paida.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz   
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	python-devel
Requires:	tkinter

%description
PAIDA is pure Python scientific analysis package and
supports AIDA (Abstract Interfaces for Data Analysis).

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot} 

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES PKG-INFO README
%{python_sitelib}/%{oname}/
%{python_sitelib}/%{oname}-*.egg-info


%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.2.1_2.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.2.1_2.10.1-2
- Review fix.

* Mon Apr 27 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.2.1_2.10.1-1
- First release.
